org.vertx.java.core.logging.impl

## Class LoggerFactory

- java.lang.Object
- - org.vertx.java.core.logging.impl.LoggerFactory

    public class LoggerFactory
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `LOGGER_DELEGATE_FACTORY_CLASS_NAME`

### Constructor Summary

Constructors
Constructor and Description
`LoggerFactory()`

### Method Summary

Methods
`static Logger` `getLogger(java.lang.Class<?> clazz)`
`static Logger` `getLogger(java.lang.String name)`
`static void` `initialise()`
`static void` `removeLogger(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOGGER_DELEGATE_FACTORY_CLASS_NAME

    public static final java.lang.String LOGGER_DELEGATE_FACTORY_CLASS_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### LoggerFactory

    public LoggerFactory()

### Method Detail

#### initialise

    public static void initialise()

#### getLogger

    public static Logger getLogger(java.lang.Class<?> clazz)

#### getLogger

    public static Logger getLogger(java.lang.String name)

#### removeLogger

    public static void removeLogger(java.lang.String name)